Bug 178642 - powerdevil dpms doesn't start automatically
Summary: powerdevil dpms doesn't start automatically
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Unclassified
Component: powermanagement-kcm (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dario Freddi
URL:
Keywords:
: 179235 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-12-24 09:15 UTC by Kőműves Ákos
Modified: 2011-01-17 19:14 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kőműves Ákos 2008-12-24 09:15:06 UTC
Version:            (using KDE 4.1.3)
OS:                Linux
Installed from:    SuSE RPMs

After setting timeouts in PowerDevil Configuration -> Screen the DPMS standby/suspend/poweroff doesn't start.
Comment 1 Kőműves Ákos 2008-12-25 00:14:23 UTC
Today I'm upgraded to openSuSE 11.1, the problem still exists.
Comment 2 Jaroslav Petráš 2008-12-30 02:41:05 UTC
KDE 4.1.86 (4.2 >= 20081221), Debian experimental + unreleased (deb http://kde42.debian.net/debian/ UNRELEASED main), amd64

Same problem here.

System Settings -> Display -> Power Control : when enabled, works well.
PowerDevil -> doesn't work at all, display (LCD panel) is still turned on after timeout.
Comment 3 Dario Freddi 2008-12-30 12:40:57 UTC
I'll investigate into this
Comment 4 Karsten König 2009-01-04 20:29:40 UTC
KDE 4.1.87 opensuse, same problem
intel x4500hd in a thinkpad

if you can't reproduce dario I can supply more data

btw, http://bugs.kde.org/show_bug.cgi?id=179235 is duplicate
Comment 5 Marvin 2009-01-11 22:21:28 UTC
same problem here

archlinux, kdemod-unstable 4.1.87, dell xps m1330 8400gs
Comment 6 Dario Freddi 2009-01-11 22:36:03 UTC
*** Bug 179235 has been marked as a duplicate of this bug. ***
Comment 7 Ricardo Ferreira 2009-01-20 05:08:33 UTC
I can confirm this also.
KDE 4.1.96, OpenSuSE 11.1. Mobility Radeon 9700 using opensource driver.
xset dpms force works.
Comment 8 Ricardo Ferreira 2009-01-20 21:13:45 UTC
Just as a clarification. I also got System Settings -> Display -> Power Control enabled and that doesn't work either.

If you need anymore log files or anything eles to fix this bug, please ask.
Comment 9 Ricardo Ferreira 2009-01-20 21:37:24 UTC
After some more testing, i found that what prevents System Settings -> Display -> Power Control from working is the screensaver trying to run right after the screen is blanked. That unblanks the screen. If i disable the screensaver then the screen is blanked correclty. However, even with screensaver disabled, powerdevil still doesn't blank the screen.
Comment 10 Ricardo Ferreira 2009-01-28 20:08:23 UTC
Still present in KDE 4.2.0
Comment 11 Karsten König 2009-01-28 23:44:54 UTC
Has been worked on and fixed in openSUSE 11.1 KDE4.1.3 release:
https://bugzilla.novell.com/show_bug.cgi?id=462854
Comment 12 Kőműves Ákos 2009-01-29 00:24:20 UTC
(In reply to comment #11)
> Has been worked on and fixed in openSUSE 11.1 KDE4.1.3 release:
> https://bugzilla.novell.com/show_bug.cgi?id=462854
> 

Is this bug refers to PowerDevil? The workaround described in this bug is for the Global DPMS settings (in Control Center) and not for PowerDevil.
Comment 13 Karsten König 2009-01-29 00:31:56 UTC
The dpms usage is the same for global kde settings and powerdevil, it fixes the screensaver undoes blank issue

It fixed it for me (at least it is somewhat working now), if it doesn't for you then please add it in a comment
Comment 14 Jaroslav Petráš 2009-01-29 00:38:02 UTC
(In reply to comment #13)
> The dpms usage is the same for global kde settings and powerdevil, it fixes the
> screensaver undoes blank issue
> 
> It fixed it for me (at least it is somewhat working now), if it doesn't for you
> then please add it in a comment
> 

No! Can't confirm that.

xset dpms force works!
KDE -> display -> power control works!
powerdevil not at all!

Didn't work in 4.1.{2,3,4} and it doesn't in KDE 4.2.0. Still same problem.

So the dpms usage isn't 100% compatible between display power control and powerdevil.
Comment 15 Kőműves Ákos 2009-01-29 02:04:05 UTC
(In reply to comment #14)
> (In reply to comment #13)
> > The dpms usage is the same for global kde settings and powerdevil, it fixes the
> > screensaver undoes blank issue
> > 
> > It fixed it for me (at least it is somewhat working now), if it doesn't for you
> > then please add it in a comment
> > 
> 
> No! Can't confirm that.
> 
> xset dpms force works!
> KDE -> display -> power control works!
> powerdevil not at all!
> 
> Didn't work in 4.1.{2,3,4} and it doesn't in KDE 4.2.0. Still same problem.
> 
> So the dpms usage isn't 100% compatible between display power control and
> powerdevil.
> 

Exactly - I can confirm that. The bug - given in the first comment - still exists.
Comment 16 Carl 2009-02-02 20:07:40 UTC
Confirmed on KDE 4.2, Arch package. Dim screen works, power off doesn't. Using Display power settings _does_ power off the display, but of course this is not profile dependent, so I hope for a fix.
Comment 17 Jacopo De Simoi 2009-02-03 06:49:51 UTC
should be solved with the patch for bug #177123
Comment 18 Marvin 2009-02-05 18:05:25 UTC
the patch solves the problem, screen turns off now!
Comment 19 Lubos Lunak 2009-02-05 18:34:35 UTC
Assuming PowerDevil doesn't roll its own DPMS handling, this has been actually fixed recently in kdebase/workspace/krunner/screensaver .
Comment 20 Jacopo De Simoi 2009-02-05 19:41:17 UTC
(In reply to comment #19)
> Assuming PowerDevil doesn't roll its own DPMS handling, this has been actually
> fixed recently in kdebase/workspace/krunner/screensaver .
> 

It actually does.
Check kdebase/workspace/powerdevil/daemon/PowerDevilDaemon.cpp:455

 J

Comment 21 Dario Freddi 2009-02-07 13:06:20 UTC
SVN commit 922619 by dafre:

BUG: 177123
BUG: 178642
CCMAIL: jacopods@gmail.com

Applying Jacopo's patch, and removing generation of (now) useless kscreensaver interface.
This should solve every kind of problems with DPMS. I will backport to 4.2 soon



 M  +18 -0     krunner/screensaver/saverengine.cpp  
 M  +2 -2      powerdevil/daemon/CMakeLists.txt  
 M  +19 -14    powerdevil/daemon/PowerDevilDaemon.cpp  
 M  +3 -2      powerdevil/daemon/PowerDevilDaemon.h  
 M  +3 -2      powerdevil/daemon/org.kde.PowerDevil.xml  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922619
Comment 22 Dario Freddi 2009-02-07 13:35:51 UTC
SVN commit 922628 by dafre:

BUG: 177123
BUG: 178642

Backporting to 4.2



 M  +18 -0     krunner/screensaver/saverengine.cpp  
 M  +2 -2      powerdevil/daemon/CMakeLists.txt  
 M  +19 -14    powerdevil/daemon/PowerDevilDaemon.cpp  
 M  +3 -2      powerdevil/daemon/PowerDevilDaemon.h  
 M  +3 -2      powerdevil/daemon/org.kde.PowerDevil.xml  


WebSVN link: http://websvn.kde.org/?view=rev&revision=922628
Comment 23 Kőműves Ákos 2009-04-25 16:49:23 UTC
Using Version 4.2.2 (KDE 4.2.2) "release 114" from openSUSE repositories this problem appears again.
Comment 24 Dario Freddi 2009-12-01 18:17:44 UTC
Anyone experiencing this in 4.3+?
Comment 25 Kőműves Ákos 2010-02-16 14:58:40 UTC
Using openSUSE 11.2 with KDE - Version 4.3.1 (KDE 4.3.1) "release 6" the problem still exists.
I can reproduce the error by setting the "Standby after" parameter to 1 min in the "Performance" profile. Set this profile for active Power Profile, after 1 min the screen won't turn off.
I've already tried to turn off the DPMS in System Settings > Display > Power Control and the Screen Saver too but doesn't help.
Comment 26 Ambroz Bizjak 2010-02-23 23:11:48 UTC
I'm seeing this in KDE 4.4.0 (Gentoo).
Comment 27 Dario Freddi 2010-11-09 17:17:05 UTC
Should be fixed in 4.6
Comment 28 auxsvr 2011-01-17 18:11:35 UTC
I've set the power management performance profile to switch off the screen after an hour, yet xset shows that it is set to 10 minutes. I'm using KDE 4.6 RC2 from the opensuse build service.
Comment 29 Dario Freddi 2011-01-17 19:14:25 UTC
That bug has been recently fixed in trunk and will be in KDE 4.6 final.